Debian Bug report logs - #659530
ghc: Add ELF linker support for hurd-i386

version graph

Package: ghc; Maintainer for ghc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for ghc is src:ghc.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Sat, 11 Feb 2012 22:18:01 UTC

Severity: normal

Tags: patch

Found in version ghc/7.4.1-1

Fixed in version ghc/7.4.1-2

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hurd@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#659530; Package ghc. (Sat, 11 Feb 2012 22:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to debian-hurd@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 11 Feb 2012 22:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ghc: Add ELF linker support for hurd-i386
Date: Sat, 11 Feb 2012 23:14:48 +0100
[Message part 1 (text/plain, inline)]
Package: ghc
Version: 7.4.1-1
Severity: normal
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hello,

Some packages need the loadObj functionality, which is currently not
available on hurd-i386 because ghc doesn't know that it simply uses
ELF. The attached patch should fix that.

Samuel

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.4 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ghc depends on:
ii  gcc          4:4.6.2-4
ii  libbsd-dev   0.3.0-1
ii  libc6        2.13-24
ii  libc6-dev    2.13-24
ii  libffi-dev   3.0.10-3
ii  libffi5      3.0.10-3
ii  libgmp-dev   2:5.0.2+dfsg-2
ii  libgmp10     2:5.0.2+dfsg-2
ii  libncurses5  5.9-4
ii  libtinfo5    5.9-4

ghc recommends no packages.

Versions of packages ghc suggests:
ii  ghc-doc      <none>
ii  ghc-prof     <none>
ii  haskell-doc  <none>
ii  perl         5.14.2-6

-- no debconf information

-- 
Samuel Thibault <samuel.thibault@fnac.net>
Progress (n.): The process through which the Internet has evolved from
smart people in front of dumb terminals to dumb people in front of smart
terminals.
[patch-ghc (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#659530; Package ghc. (Sat, 11 Feb 2012 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 11 Feb 2012 22:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 659530@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 659530@bugs.debian.org
Subject: Re: Bug#659530: ghc: Add ELF linker support for hurd-i386
Date: Sat, 11 Feb 2012 23:36:44 +0100
[Message part 1 (text/plain, inline)]
Dear Samuel,

Am Samstag, den 11.02.2012, 23:14 +0100 schrieb Samuel Thibault:
> Package: ghc
> Version: 7.4.1-1
> Severity: normal
> Tags: patch
> User: debian-hurd@lists.debian.org
> Usertags: hurd
> 
> Hello,
> 
> Some packages need the loadObj functionality, which is currently not
> available on hurd-i386 because ghc doesn't know that it simply uses
> ELF. The attached patch should fix that.

thanks. Is the patch tested, i.e. can I blindly apply and forward it to
upstream? Also, could you do a porter upload for hurd with the change
for now; I’d like to avoid a full GHC upload until we have rebuild all
packages with 7.4.1 (rationale¹); I’ll then include your patch in the
next upload.

Greetings,
Joachim

¹ http://lists.debian.org/debian-haskell/2012/02/msg00040.html

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sat, 11 Feb 2012 22:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#659530; Package ghc. (Sat, 11 Feb 2012 22:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 11 Feb 2012 22:57:07 GMT) Full text and rfc822 format available.

Message #17 received at 659530@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 659530@bugs.debian.org
Subject: Re: Bug#659530: ghc: Add ELF linker support for hurd-i386
Date: Sat, 11 Feb 2012 23:55:34 +0100
Joachim Breitner, le Sat 11 Feb 2012 23:36:44 +0100, a écrit :
> thanks. Is the patch tested, i.e. can I blindly apply and forward it to
> upstream?

I'm doing it.

> Also, could you do a porter upload for hurd with the change for now;

Ok, I'll do the build towards a debian-ports upload then. I understand
the difficulties of managing a transition that affects almost 5%
packages :)

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#659530; Package ghc. (Mon, 13 Feb 2012 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 13 Feb 2012 19:21:06 GMT) Full text and rfc822 format available.

Message #22 received at 659530@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 659530@bugs.debian.org
Subject: Re: Bug#659530: ghc: Add ELF linker support for hurd-i386
Date: Mon, 13 Feb 2012 20:16:29 +0100
Samuel Thibault, le Sat 11 Feb 2012 23:55:34 +0100, a écrit :
> Joachim Breitner, le Sat 11 Feb 2012 23:36:44 +0100, a écrit :
> > thanks. Is the patch tested, i.e. can I blindly apply and forward it to
> > upstream?
> 
> I'm doing it.

Btw, it's confirmed.

> > Also, could you do a porter upload for hurd with the change for now;
> 
> Ok, I'll do the build towards a debian-ports upload then. I understand
> the difficulties of managing a transition that affects almost 5%
> packages :)

AIUI, I'll however have to rebuild all the packages that have been built
so far, knowing that they'll again be built with the next unstable
upload :)

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#659530; Package ghc. (Mon, 13 Feb 2012 19:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 13 Feb 2012 19:39:07 GMT) Full text and rfc822 format available.

Message #27 received at 659530@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 659530@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#659530: ghc: Add ELF linker support for hurd-i386
Date: Mon, 13 Feb 2012 19:35:28 +0000
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 13.02.2012, 20:16 +0100 schrieb Samuel Thibault:
> Samuel Thibault, le Sat 11 Feb 2012 23:55:34 +0100, a écrit :
> > Joachim Breitner, le Sat 11 Feb 2012 23:36:44 +0100, a écrit :
> > > thanks. Is the patch tested, i.e. can I blindly apply and forward it to
> > > upstream?
> > 
> > I'm doing it.
> 
> Btw, it's confirmed.

Thanks. I’ll forward it to http://hackage.haskell.org/trac/ghc/ as well,
unless you want to do it yourself (and get the ticket comment mails).

> > > Also, could you do a porter upload for hurd with the change for now;
> > 
> > Ok, I'll do the build towards a debian-ports upload then. I understand
> > the difficulties of managing a transition that affects almost 5%
> > packages :)
> 
> AIUI, I'll however have to rebuild all the packages that have been built
> so far, knowing that they'll again be built with the next unstable
> upload :)

Not necessarily. Your upload is built using 7.4.1. When I upload
7.4.1-1, it will be built with your upload, which is a 7.4.1 as well, so
most likely and hopefully, the hashes will be the same and no rebuilds
will be necessary.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#659530; Package ghc. (Mon, 13 Feb 2012 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 13 Feb 2012 19:48:03 GMT) Full text and rfc822 format available.

Message #32 received at 659530@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 659530@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#659530: ghc: Add ELF linker support for hurd-i386
Date: Mon, 13 Feb 2012 20:45:42 +0100
Joachim Breitner, le Mon 13 Feb 2012 19:35:28 +0000, a écrit :
> Am Montag, den 13.02.2012, 20:16 +0100 schrieb Samuel Thibault:
> > Samuel Thibault, le Sat 11 Feb 2012 23:55:34 +0100, a écrit :
> > > Joachim Breitner, le Sat 11 Feb 2012 23:36:44 +0100, a écrit :
> > > > thanks. Is the patch tested, i.e. can I blindly apply and forward it to
> > > > upstream?
> > > 
> > > I'm doing it.
> > 
> > Btw, it's confirmed.
> 
> Thanks. I’ll forward it to http://hackage.haskell.org/trac/ghc/ as well,
> unless you want to do it yourself (and get the ticket comment mails).

Please do.

> > > > Also, could you do a porter upload for hurd with the change for now;
> > > 
> > > Ok, I'll do the build towards a debian-ports upload then. I understand
> > > the difficulties of managing a transition that affects almost 5%
> > > packages :)
> > 
> > AIUI, I'll however have to rebuild all the packages that have been built
> > so far, knowing that they'll again be built with the next unstable
> > upload :)
> 
> Not necessarily. Your upload is built using 7.4.1. When I upload
> 7.4.1-1, it will be built with your upload, which is a 7.4.1 as well, so
> most likely and hopefully, the hashes will be the same and no rebuilds
> will be necessary.

What are the hashes based on exactly? My rebuild with the ELF patch got
other hashes for

libghc-base-dev-4.5.0.0-78eb0
libghc-cabal-dev-1.14.0-b87dd
libghc-directory-dev-1.1.0.2-e6870
libghc-ghc-dev-7.4.1-59359
libghc-template-haskell-dev-2.7.0.0-f6fb4
libghc-unix-dev-2.5.1.0-d60c1

AIUI, "base" means that about all packages need to be rebuilt :/

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#659530; Package ghc. (Mon, 13 Feb 2012 19:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 13 Feb 2012 19:57:05 GMT) Full text and rfc822 format available.

Message #37 received at 659530@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 659530@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#659530: Bug#659530: ghc: Add ELF linker support for hurd-i386
Date: Mon, 13 Feb 2012 19:53:22 +0000
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 13.02.2012, 20:45 +0100 schrieb Samuel Thibault:
> > Not necessarily. Your upload is built using 7.4.1. When I upload
> > 7.4.1-1, it will be built with your upload, which is a 7.4.1 as well, so
> > most likely and hopefully, the hashes will be the same and no rebuilds
> > will be necessary.
> 
> What are the hashes based on exactly?

ABI, but there is some non-determinism that was not completely
eradicated: http://hackage.haskell.org/trac/ghc/ticket/4012

> My rebuild with the ELF patch got
> other hashes for
> 
> libghc-base-dev-4.5.0.0-78eb0
> libghc-cabal-dev-1.14.0-b87dd
> libghc-directory-dev-1.1.0.2-e6870
> libghc-ghc-dev-7.4.1-59359
> libghc-template-haskell-dev-2.7.0.0-f6fb4
> libghc-unix-dev-2.5.1.0-d60c1
> 
> AIUI, "base" means that about all packages need to be rebuilt :/

Are you comparing a build of 7.4.1 bootstrapped with 7.4.1 with the
first build of 7.4.1 which was bootstrapped with 7.0.4? Then this is
what I observer and have been observing with the 7.0.4 series as well.
What happened back then was that building 7.4.1 with 7.4.1 again left
the ABIs stable, so the problem is bearable.

If you are indeed comparing two builds of GHC, both using 7.4.1 as the
bootstrapper, then things have become worse since 7.0.4 and we will have
to do lots of rebuilds :-(.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#659530; Package ghc. (Mon, 13 Feb 2012 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 13 Feb 2012 20:21:03 GMT) Full text and rfc822 format available.

Message #42 received at 659530@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 659530@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#659530: Bug#659530: ghc: Add ELF linker support for hurd-i386
Date: Mon, 13 Feb 2012 21:17:25 +0100
Joachim Breitner, le Mon 13 Feb 2012 19:53:22 +0000, a écrit :
> > AIUI, "base" means that about all packages need to be rebuilt :/
> 
> Are you comparing a build of 7.4.1 bootstrapped with 7.4.1 with the
> first build of 7.4.1 which was bootstrapped with 7.0.4?

Possibly, I'm not sure whether I had rebuilt 7.4.1 with itself just to
be sure.

> Then this is
> what I observer and have been observing with the 7.0.4 series as well.
> What happened back then was that building 7.4.1 with 7.4.1 again left
> the ABIs stable, so the problem is bearable.

Ok.

Samuel




Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sat, 10 Mar 2012 21:06:07 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Sat, 10 Mar 2012 21:06:21 GMT) Full text and rfc822 format available.

Message #47 received at 659530-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 659530-close@bugs.debian.org
Subject: Bug#659530: fixed in ghc 7.4.1-2
Date: Sat, 10 Mar 2012 21:03:34 +0000
Source: ghc
Source-Version: 7.4.1-2

We believe that the bug you reported is fixed in the latest version of
ghc, which is due to be installed in the Debian FTP archive:

ghc-doc_7.4.1-2_all.deb
  to main/g/ghc/ghc-doc_7.4.1-2_all.deb
ghc-dynamic_7.4.1-2_amd64.deb
  to main/g/ghc/ghc-dynamic_7.4.1-2_amd64.deb
ghc-haddock_7.4.1-2_amd64.deb
  to main/g/ghc/ghc-haddock_7.4.1-2_amd64.deb
ghc-prof_7.4.1-2_amd64.deb
  to main/g/ghc/ghc-prof_7.4.1-2_amd64.deb
ghc6-doc_7.4.1-2_all.deb
  to main/g/ghc/ghc6-doc_7.4.1-2_all.deb
ghc6-prof_7.4.1-2_all.deb
  to main/g/ghc/ghc6-prof_7.4.1-2_all.deb
ghc6_7.4.1-2_all.deb
  to main/g/ghc/ghc6_7.4.1-2_all.deb
ghc_7.4.1-2.debian.tar.gz
  to main/g/ghc/ghc_7.4.1-2.debian.tar.gz
ghc_7.4.1-2.dsc
  to main/g/ghc/ghc_7.4.1-2.dsc
ghc_7.4.1-2_amd64.deb
  to main/g/ghc/ghc_7.4.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659530@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated ghc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Mar 2012 19:32:34 +0100
Source: ghc
Binary: ghc ghc-prof ghc-doc ghc-dynamic ghc-haddock ghc6 ghc6-doc ghc6-prof
Architecture: source all amd64
Version: 7.4.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 ghc        - The Glasgow Haskell Compilation system
 ghc-doc    - Documentation for the Glasgow Haskell Compilation system
 ghc-dynamic - Dynamic libraries for the Glasgow Haskell Compilation system
 ghc-haddock - Documentation tool for annotated Haskell source code
 ghc-prof   - Profiling libraries for the Glasgow Haskell Compilation system
 ghc6       - transitional dummy package
 ghc6-doc   - transitional dummy package
 ghc6-prof  - transitional dummy package
Closes: 659530
Changes: 
 ghc (7.4.1-2) unstable; urgency=low
 .
   [ Iain Lane ]
 .
   * Two new patches (backported by Iulian Udrea) to fix armel build
     failures. See upstream bug #5824.
     - fix-ARM-s-StgCRun-clobbered-register-list-for-both-A
     - fix-ARM-StgCRun-to-not-save-and-restore-r11-fp-regis
   * Use dh_autoreconf{,_clean} to autoreconf, mainly so we can have proper
     clean support.
   * armhf support (thanks to Jani Monoses):
     - debian/patches/ARM-VFPv3D16: Use vfp3-d16 FPU for ARM builds.
     - debian/patches/armhf_llvm_abi: Pass -float-abi=hard to llc on armhf if
       __ARM_PCS_VFP is defined (needs to be preprocessed for this)
     - debian/rules: Define __ARM_PCS_VFP on armhf for the above patch.
 .
   [ Joachim Breitner]
 .
   * patches/hurd-is-ELF added, Closes: #659530, thanks to Samuel
     Thibault
   * Also conflict with any provided libghc-*-dev packages. Thus, if a packages
     is moved _into_ ghc that was outside before, no external package can be
     installed (as was the case with binary).
   * patches/no-missing-haddock-file-warning: Quench warning, as it is quite
     common on Debian installations.
   * build-depends-indep on hscolour and fop, to ensure most documentation is
     built.
Checksums-Sha1: 
 60b1c252739448e5a126df521e7a4bffdaaf1150 1775 ghc_7.4.1-2.dsc
 1c502cb346d73ae0ee74fac61cc90b440e94875c 47607 ghc_7.4.1-2.debian.tar.gz
 d480c505de7b8e568da5ab8119f209e3f0cf7e4e 11643260 ghc-doc_7.4.1-2_all.deb
 c238e7fce9c5f221347d7c2d2cc6dc1ec902b2e1 26576 ghc6_7.4.1-2_all.deb
 407f5301ad5555f02442cf87f6826224405b48ca 26706 ghc6-doc_7.4.1-2_all.deb
 039618eceef47f7183997481fd37a5c24d590640 26248 ghc6-prof_7.4.1-2_all.deb
 6760d730304687325b0059ff802f48f7e5d1bfc1 45761782 ghc_7.4.1-2_amd64.deb
 adce2a64db11bbe6745bcd5d40d51dcf5638f23f 44281440 ghc-prof_7.4.1-2_amd64.deb
 0927b38a053c2df887d3011b72ff79f5380b8e33 20649492 ghc-dynamic_7.4.1-2_amd64.deb
 16660fabcb18a538f0af1e07dfa969ce3e0428f6 6770804 ghc-haddock_7.4.1-2_amd64.deb
Checksums-Sha256: 
 22c8c0fbebb6a17b445632104d122a3e27ffa75fd45fa6d83bc73abd1993dbc3 1775 ghc_7.4.1-2.dsc
 47c2277bdb5a62a307c24e25f33eb9d99157ecce3b6ef1410c456d59cc8580e7 47607 ghc_7.4.1-2.debian.tar.gz
 310ba2c0b28433e48d6e2e188da471965f1bdeff2e24bf2f3f74b47b521b8fdd 11643260 ghc-doc_7.4.1-2_all.deb
 f228b3bb9fd2fe3107cb8a8ea2586b87a0d78c03101f9916bc725ed2fb60f2b1 26576 ghc6_7.4.1-2_all.deb
 187f37e3bd09f1fcb76ec76be56c87a55777c0a8101c0a27938b1584e9a63d28 26706 ghc6-doc_7.4.1-2_all.deb
 36f1bf623f8d98e646972e723c0fd01e9c0a8c7b6a3edb9cb10fe4b28151e655 26248 ghc6-prof_7.4.1-2_all.deb
 9829da060851caf0d3e09737ccc95b008ff616077809ab639ab08ffcdac8056b 45761782 ghc_7.4.1-2_amd64.deb
 ba51b8841271109f56b6ae068e0adaf04c18491df3a4b4344114066c61e7d0c8 44281440 ghc-prof_7.4.1-2_amd64.deb
 3d74347b2019a64e55360b419593d67f695a2c4b1f7134cda623dd9f58f8e2ee 20649492 ghc-dynamic_7.4.1-2_amd64.deb
 3f40b5462e1c74d2d0c6e155202ced520b3078429afea53ba5f168c7ba691261 6770804 ghc-haddock_7.4.1-2_amd64.deb
Files: 
 d08940ddc5338ec641fd8c8b8a443da7 1775 haskell extra ghc_7.4.1-2.dsc
 8e354e333444a45e488eaaa98fe39d79 47607 haskell extra ghc_7.4.1-2.debian.tar.gz
 17edff5eec80019b72d7d4c390bb1a43 11643260 doc extra ghc-doc_7.4.1-2_all.deb
 b3c84a1cd8498e4ae73bcb9c7fc15837 26576 haskell extra ghc6_7.4.1-2_all.deb
 6f828d7c0a1d0f1ad7379d27b5d9383e 26706 doc extra ghc6-doc_7.4.1-2_all.deb
 bc420afc975801c3daf445de23a0bd5e 26248 haskell extra ghc6-prof_7.4.1-2_all.deb
 c4bc3a22951325f8a3028728e248e3ea 45761782 haskell extra ghc_7.4.1-2_amd64.deb
 2be06f8dd680d74ecbe9011a8d81a2d9 44281440 haskell extra ghc-prof_7.4.1-2_amd64.deb
 b6b9125ffa2cfd6ebc8a6e9e9940f719 20649492 haskell extra ghc-dynamic_7.4.1-2_amd64.deb
 835b9019493e0d4c6b2612e99d7280e6 6770804 haskell extra ghc-haddock_7.4.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9brgcACgkQ9ijrk0dDIGy9ugCgxL5iByPzDjnvO30j6y9+yMaT
cugAn3wSsYNqoqyvs33KNdXraHGnlhK8
=3lq6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Apr 2012 07:38:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:09:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.